X
Tap here to go to the mobile version of the site.

Support Forum

My mac is too old for Firefox 3.6.8. Every time I try to download it says corrupt image. Is there an older Firefox to download? I have a Power Mac G4, OS X Version 10.3.9

Posted

My mac is too old for Firefox 3.6.8. Every time I try to download it says corrupt image. Is there an older Firefox to download? I have a Power Mac G4, OS X Version 10.3.9. I bought it used in 2005.

This happened

Not sure how often

== It has gotten worse. Now I can't access my hotmail.

My mac is too old for Firefox 3.6.8. Every time I try to download it says corrupt image. Is there an older Firefox to download? I have a Power Mac G4, OS X Version 10.3.9. I bought it used in 2005. == This happened == Not sure how often == It has gotten worse. Now I can't access my hotmail.

Additional System Details

Installed Plug-ins

  • -Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • Netscape Navigator Default Plug-in
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • Provides support for Digital Rights Management
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 9.0 r28
  • Shockwave Flash 9.0 r16
  • Java 1.3.1 Plug-in (CFM)
  • Macromedia Shockwave for Director Netscape plug-in, version 8.5.1
  • Java 1.3.1 Plug-in
  • Adobe SVG Viewer v3.0 for Macintosh

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.1.20) Gecko/20081217 Firefox/2.0.0.20

More Information

DOM Inspector 1.8.1.20, Talkback 2.0.0.11

Question owner

2.0.0.20 is the last version that works in OS 10.3.9 and your useragent indicates you already have it.

2.0.0.20 is the last version that works in OS 10.3.9 and your useragent indicates you already have it.